<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:07 AEST 2019 -->
<title>DataFixer.FixTypes (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DataFixer.FixTypes (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/world/DataFixer.FixType.html" title="class in com.sk89q.worldedit.world"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/world/NbtValued.html" title="interface in com.sk89q.worldedit.world"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/world/DataFixer.FixTypes.html" target="_top">Frames</a></li>
<li><a href="DataFixer.FixTypes.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.java.lang.Object">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.world</div>
<h2 title="Class DataFixer.FixTypes" class="title">Class DataFixer.FixTypes</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.world.DataFixer.FixTypes</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing interface:</dt>
<dd><a href="../../../../com/sk89q/worldedit/world/DataFixer.html" title="interface in com.sk89q.worldedit.world">DataFixer</a></dd>
</dl>
<hr>
<br>
<pre>public static final class <span class="typeNameLabel">DataFixer.FixTypes</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../com/sk89q/worldedit/world/DataFixer.FixType.html" title="class in com.sk89q.worldedit.world">DataFixer.FixType</a>&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/DataFixer.FixTypes.html#BIOME">BIOME</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../com/sk89q/worldedit/world/DataFixer.FixType.html" title="class in com.sk89q.worldedit.world">DataFixer.FixType</a>&lt;<a href="../../../../com/sk89q/jnbt/CompoundTag.html" title="class in com.sk89q.jnbt">CompoundTag</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/DataFixer.FixTypes.html#BLOCK_ENTITY">BLOCK_ENTITY</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../com/sk89q/worldedit/world/DataFixer.FixType.html" title="class in com.sk89q.worldedit.world">DataFixer.FixType</a>&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/DataFixer.FixTypes.html#BLOCK_STATE">BLOCK_STATE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../com/sk89q/worldedit/world/DataFixer.FixType.html" title="class in com.sk89q.worldedit.world">DataFixer.FixType</a>&lt;<a href="../../../../com/sk89q/jnbt/CompoundTag.html" title="class in com.sk89q.jnbt">CompoundTag</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/DataFixer.FixTypes.html#CHUNK">CHUNK</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../com/sk89q/worldedit/world/DataFixer.FixType.html" title="class in com.sk89q.worldedit.world">DataFixer.FixType</a>&lt;<a href="../../../../com/sk89q/jnbt/CompoundTag.html" title="class in com.sk89q.jnbt">CompoundTag</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/DataFixer.FixTypes.html#ENTITY">ENTITY</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../com/sk89q/worldedit/world/DataFixer.FixType.html" title="class in com.sk89q.worldedit.world">DataFixer.FixType</a>&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/DataFixer.FixTypes.html#ITEM_TYPE">ITEM_TYPE</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="CHUNK">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CHUNK</h4>
<pre>public static&nbsp;<a href="../../../../com/sk89q/worldedit/world/DataFixer.FixType.html" title="class in com.sk89q.worldedit.world">DataFixer.FixType</a>&lt;<a href="../../../../com/sk89q/jnbt/CompoundTag.html" title="class in com.sk89q.jnbt">CompoundTag</a>&gt; CHUNK</pre>
</li>
</ul>
<a name="BLOCK_ENTITY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BLOCK_ENTITY</h4>
<pre>public static&nbsp;<a href="../../../../com/sk89q/worldedit/world/DataFixer.FixType.html" title="class in com.sk89q.worldedit.world">DataFixer.FixType</a>&lt;<a href="../../../../com/sk89q/jnbt/CompoundTag.html" title="class in com.sk89q.jnbt">CompoundTag</a>&gt; BLOCK_ENTITY</pre>
</li>
</ul>
<a name="ENTITY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ENTITY</h4>
<pre>public static&nbsp;<a href="../../../../com/sk89q/worldedit/world/DataFixer.FixType.html" title="class in com.sk89q.worldedit.world">DataFixer.FixType</a>&lt;<a href="../../../../com/sk89q/jnbt/CompoundTag.html" title="class in com.sk89q.jnbt">CompoundTag</a>&gt; ENTITY</pre>
</li>
</ul>
<a name="BLOCK_STATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BLOCK_STATE</h4>
<pre>public static&nbsp;<a href="../../../../com/sk89q/worldedit/world/DataFixer.FixType.html" title="class in com.sk89q.worldedit.world">DataFixer.FixType</a>&lt;java.lang.String&gt; BLOCK_STATE</pre>
</li>
</ul>
<a name="BIOME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BIOME</h4>
<pre>public static&nbsp;<a href="../../../../com/sk89q/worldedit/world/DataFixer.FixType.html" title="class in com.sk89q.worldedit.world">DataFixer.FixType</a>&lt;java.lang.String&gt; BIOME</pre>
</li>
</ul>
<a name="ITEM_TYPE">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ITEM_TYPE</h4>
<pre>public static&nbsp;<a href="../../../../com/sk89q/worldedit/world/DataFixer.FixType.html" title="class in com.sk89q.worldedit.world">DataFixer.FixType</a>&lt;java.lang.String&gt; ITEM_TYPE</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/world/DataFixer.FixType.html" title="class in com.sk89q.worldedit.world"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/world/NbtValued.html" title="interface in com.sk89q.worldedit.world"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/world/DataFixer.FixTypes.html" target="_top">Frames</a></li>
<li><a href="DataFixer.FixTypes.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.java.lang.Object">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
